--- title: "OneSpan Identity Verification REST API" slug: "onespan-identity-verification-rest-api" updated: 2024-10-04T12:55:21Z published: 2024-10-04T12:55:21Z canonical: "docs.onespan.com/onespan-identity-verification-rest-api" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # OneSpan Identity Verification REST API The OneSpan Identity Verification REST API is organized around the [Transaction model](/v1/docs/transaction-model). This model is fully defined by JSON schemas that can be used to generate client-side libraries for accessing the API. With the OneSpan Identity Verification REST API, the following actions are available: - Create and execute e-agreement workflows - Define and parametrize workflow instances - Provide and manipulate documents - Query transaction information - Provide personal details of e-agreement process participants - Define/assign roles to signers - Provide metadata as additional evidence - Retrieve signed agreements, audit-trail, and electronic evidence - Delete transactions The OneSpan Identity Verification JSON model defines several key entities: - Transaction (see [Transaction model](/v1/docs/transaction-model)) - Session (see [Session model](/v1/docs/session-model)) - User (see [User model](/v1/docs/user-model)) - Document (see [Document model](/v1/docs/document-model)) - Evidence - Resource The requests described in this section require a JSON Web Token (JWT) in the Bearer header. Depending on the request, the JWT must possess the corresponding role: - For requests to access a transaction, the JWT must contain the transaction access role. - For requests to access a session, the JWT must contain the session access role. - For requests to access evidence, the JWT must contain the evidence access role. For more information, see [JSON Web Tokens](/v1/docs/integration-model#json-web-tokens). ## Overview of API endpoints ### Create transaction ```http PUT /api/transaction/ HTTP1.1 Host: onespan.com Accept: application/json, text/javascript ``` For more information, see [Create transaction](/v1/docs/create-transaction). ### Get transaction status and metadata ```http GET /api/transaction/uuid: transaction_id(?withVerifications=true/false optional) HTTP1.1Host: onespan.com ``` For more information, see [Get transaction status and metadata](/v1/docs/get-transaction-status-and-metadata). ### Get transaction verification ```http GET /api/transaction/uuid: transaction_id/verification HTTP/1.1 Host: onespan.com Accept: application/json, text/javascript ``` For more information, see [Get transaction verification](/v1/docs/get-transaction-verification). ### Get evidence ```http GET /api/transaction/uuid: transaction_id/document/AuditTrailDocument/pdf Host: onespan.com Accept: application/json, application/pdf ``` For more information, see [Get evidence](/v1/docs/get-evidence). ### Get document ```http GET /api/transaction/uuid: transaction_id/document/document_id/pdf HTTP/1.1 Host: onespan.com Accept: application/json, text/javascript ``` For more information, see [Get document](/v1/docs/get-document). ### Cancel transaction ```http PUT /api/transaction/uuid: transaction_id/event Host: onespan.com Accept: application/json, text/javascript ``` For more information, see [Cancel transaction](/v1/docs/cancel-transaction). ### Mark transaction for erasure ```http POST /api/transactions/mark-for-erasure Authorization: Bearer token Content-Type: application/json X-Tenant: dealflo ``` For more information, see [Mark transaction for erasure](/v1/docs/mark-transaction-for-erasure). ### Unmark transaction for erasure ```http POST /api/transactions/unmark-for-erasure Authorization: Bearer token Content-Type: application/json X-Tenant: dealflo ``` For more information, see [Unmark transaction for erasure](/v1/docs/unmark-transaction-for-erasure). ### Create session creation token ```http POST /api/transaction/uuid: transaction_id/token HTTP /1.1 Host: onespan.com Accept: application/json, text/javascript ``` For more information, see [Create session creation token](/v1/docs/create-session-creation-token). ### Generate audit trail ```http POST /api/transactions/uuid: transaction_id/generate-audit-trail Authorization: Bearer token ``` For more information, see [Generate audit trail on demand](/v1/docs/generate-audit-trail-on-demand). ### Download audit trail document ```http GET /api/transactions/uuid: transaction_id/data Authorization: Bearer token ``` For more information, see [Generate audit trail on demand](/v1/docs/generate-audit-trail-on-demand). ### Get URL of verification images ```http GET /api/transactions/transaction_id/verifications/verification_id/verification-images Host: onespan.com Accept: application/json ``` For more information, see [Retrieve verification images](/v1/docs/retrieve-verification-images). ### Download image binary data ```http GET /api/transactions/transaction_id/data?url=sfs_url ``` For more information, see [Retrieve verification images](/v1/docs/retrieve-verification-images). ### Detailed verification report ```http GET /api/transactions/id/detailed-verification-report Authorization: Bearer tenant_access_token ``` For more information, see [Detailed verification report](/v1/docs/detailed-verification-report).